/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.graphics;

import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.graphics.Rectangle;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import com.haundrix.tests.TestGroups;

@Test(groups=TestGroups.GUI_TESTS)
public class SimpleBorderTest extends BorderTest {
    
    @BeforeMethod
    public void setUpSimpleBorderTests() {
        border = new SimpleBorder(display, new Rectangle(13, 13, 13, 13), 99, new RGB(0, 0, 0));
    }

    @AfterMethod
    public void tearDownSimpleBorderTests() {
        border.dispose();
    }
    
}
