/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.animation;

import org.eclipse.swt.widgets.Display;
import org.jdesktop.animation.timing.Animator;
import org.jdesktop.animation.timing.TimingTarget;

public class SwtAnimator extends Animator {

    public SwtAnimator(Display display, int duration) {
        super(duration);
        setTimer(new SwtTimingSource(display));
    }
    
    public SwtAnimator(Display display, int duration, TimingTarget target) {
        super(duration, target);
        setTimer(new SwtTimingSource(display));
    }
    
    public SwtAnimator(Display display, int duration, double repeatCount, RepeatBehavior repeatBehavior, TimingTarget target) {
        super(duration, repeatCount, repeatBehavior, target);
        setTimer(new SwtTimingSource(display));
    }

}
