/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.editors;

import org.eclipse.core.expressions.PropertyTester;
import org.eclipse.core.runtime.Assert;

public class IsComputerVsComputerMatchPropertyTester extends PropertyTester {

    public static final String SHORT_PROPERTY_NAME = "isComputerVsComputerMatch";
    public static final String FULL_PROPERTY_NAME = "com.haundrix.games." + SHORT_PROPERTY_NAME;

    @Override
    public boolean test(Object receiver, String property, Object[] args, Object expectedValue) {
        if(property.equals(SHORT_PROPERTY_NAME)) {
            boolean isComputerVsComputerMatch = ((LocalChessGameEditor) receiver).isComputerVsComputerMatch();
            
            return expectedValue == null ? isComputerVsComputerMatch :
                isComputerVsComputerMatch == (Boolean) expectedValue;
        }
        
        Assert.isTrue(false, "Unkonwn property: " + property + ".");
        return false;
    }

}
