/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.managers;

import com.haundrix.games.view.Font;
import com.haundrix.utils.INamed;

public class PluginFigurineFont implements INamed {

    private String id;
    private String name;
    
    private Font font;
    
    PluginFigurineFont(String id, String name, Font font) {
        this.id = id;
        this.name = name;
        
        this.font = font;
    }

    public String getId() {
        return id;
    }

    @Override
    public String getName() {
        return name;
    }
    
    public String getFontName() {
        return font.getFontName();
    }

}
