/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp.preferences;

public final class HaundrixPreferences {
    
    private static final String PREFIX = "com.haundrix.games.preferences";

    public static final String GAME_HISTORY_HEADER_FONT_SIZE = PREFIX + ".gameHistory.headerFontSize";
    public static final String GAME_HISTORY_MOVES_FIGURINE_FONT = PREFIX + ".gameHistory.movesFigurineFont";
    public static final String GAME_HISTORY_MOVES_FONT_SIZE = PREFIX + ".gameHistory.movesFontSize";
    
    public static final String CHESS_BOARD_PIECE_SET = PREFIX + ".chessBoard.pieceSet";
    public static final String CHESS_BOARD_USE_PIECE_SET_PREFERRED_COLORS = PREFIX +
        ".chessBoard.usePieceSetPreferredColors";
    public static final String CHESS_BOARD_COLOR_SCHEME = PREFIX + ".chessBoard.colorScheme";
    public static final String CHESS_BOARD_HIGHLIGHT_SCHEME = PREFIX + ".chessBoard.highlightScheme";
    
}
