/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.model.playing;

import com.haundrix.utils.ProcessConfig;

public class Engine {

    private static final long TIME_THRESHOLD = 100L;
    
    private ProcessConfig processConfig;

    public ProcessConfig getProcessConfig() {
        return processConfig;
    }

    public void setProcessConfig(ProcessConfig processConfig) {
        this.processConfig = processConfig;
    }

    public ProcessConfig preConfigure(EngineConfig config) {
        return processConfig;
    }
    
    public void postConfigure(EngineConfig config, ICommandLine commandLine) {
    }

    public long calculateTimeThreshold(long availableTime) {
        return TIME_THRESHOLD;
    }
    
}
