/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.model.playing;

import com.haundrix.games.model.GameResult;
import com.haundrix.games.model.Move;

// This class is just a null object implementation of IPlayer.
public class HumanPlayer implements IPlayer {
    
    private boolean isDisposed = false;

    @Override
    public void go() {
    }

    @Override
    public void move(Move move) {
    }

    @Override
    public void setTime(ClockTime time) {
    }

    @Override
    public void moveNow() {
    }

    @Override
    public void setResult(GameResult result) {
    }

    @Override
    public void dispose() {
        isDisposed = true;
    }

    @Override
    public boolean isDisposed() {
        return isDisposed;
    }

    @Override
    public long calculateTimeThreshold(long availableTime) {
        return 0L;
    }

}
