/*
Copyright (C) 2009, 2010 Alex Ignácio da Silva

This file is part of Haundrix Games.

Haundrix Games is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License version 3 as published by the
Free Software Foundation, with additional permission under section 7 to combine
it with independent works licensed under selected Free/Libre Open Source Software licenses.
Please see the full text of the license that is distributed along with this file.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.
*/
package com.haundrix.games.rcp;

import org.eclipse.core.runtime.ILog;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

// TODO This class should be moved to an internal package.
public class HaundrixLog {
    
    public static void logWarning(String warningMessage) {
        ILog log = HaundrixPlugin.getInstance().getLog();
        log.log(new Status(IStatus.WARNING, HaundrixPlugin.ID, warningMessage));
    }

    public static void logError(String errorMessage) {
        ILog log = HaundrixPlugin.getInstance().getLog();
        log.log(new Status(IStatus.ERROR, HaundrixPlugin.ID, errorMessage));
    }

    public static void logError(String errorMessage, Throwable exception) {
        ILog log = HaundrixPlugin.getInstance().getLog();
        log.log(new Status(IStatus.ERROR, HaundrixPlugin.ID, errorMessage, exception));
    }

}
